Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

#1 Le 04/05/2011, à 14:59

Dagnan

gnome-shell-extensions avec Ubuntu

Bonjour à tous.

Je cherche un moyen d'installer sur ma Ubuntu 11.04 avec Gnome 3 les extensions disponibles sur : http://git.gnome.org/browse/gnome-shell-extensions/
(notamment une pour rétablir le bouton 'shutdown' dans le menu d'arrêt, et l'autre pour avoir un alt-tab qui ne regroupe pas les fenêtres).

Lorsque je fais ce qui est expliqué sur divers sites, par exemple :

./autogen.sh --prefix=/usr --enable-extensions=user-theme

J'obtiens :

You need to install gnome-common from GNOME Git (or from your OS vendor's package manager).

Gnome 3 est bien installé et fonctionne très bien cependant.

Est-ce que quelqu'un a réussi à faire la même chose ?

Hors ligne

#2 Le 04/05/2011, à 16:38

open

Re : gnome-shell-extensions avec Ubuntu

gnome-common est un paquet (en plus de gnome) qui n'est pas forcément installé.

Installes-le avec synaptics ou avec "sudo apt-get install gnome-common" dans un terminal.


I love U-buntu.
www.google.fr/linux

Hors ligne

#3 Le 04/05/2011, à 18:16

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Mince je m'en veux vraiment de pas avoir pensé à ça hmm
Merci pour la réponse !

Hors ligne

#4 Le 01/06/2011, à 14:55

delta01

Re : gnome-shell-extensions avec Ubuntu

J'up le sujet. J'viens d'installer UGR et je n'arrive pas à installer les extensions. La compilation et l'install se passent sans problème, les dossiers et fichiers se trouvent bien dans ~/.local/share/gnome-shell/extensions/
Mais lors du redémarrage, rien ne change. Pas moyen d'avoir l'alternative-status-menu, ou encore l'alternate-tab.

Comment faire?


ArchLinux & Ubuntu user.

Hors ligne

#5 Le 01/06/2011, à 15:36

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Vérifie les droits, sinon tente l'installation en root, pour tous les utilisateurs.

Hors ligne

#6 Le 01/06/2011, à 18:37

delta01

Re : gnome-shell-extensions avec Ubuntu

Il semblerait qu'il y ai des erreurs lors du make...

$ make
Making all in extensions
make[1]: entrant dans le répertoire « /home/gamma/gnome-shell-extensions/extensions »
Making all in user-theme
make[2]: entrant dans le répertoire « /home/gamma/gnome-shell-extensions/extensions/user-theme »
Makefile:434: *** séparateur manquant . Arrêt.
make[2]: quittant le répertoire « /home/gamma/gnome-shell-extensions/extensions/user-theme »
make[1]: *** [all-recursive] Erreur 1
make[1]: quittant le répertoire « /home/gamma/gnome-shell-extensions/extensions »
make: *** [all-recursive] Erreur 1

Une idée? =S


ArchLinux & Ubuntu user.

Hors ligne

#7 Le 03/06/2011, à 14:13

nukleon

Re : gnome-shell-extensions avec Ubuntu

Bonjour.
J'ai réussi à installer l'alternative-status-menu sans problème, cependant j'ai voulu installer places-menu (de la branche Master), compilation et installation se passe sans erreur mais lorsque je recharge aucun changement.


Do it yourself !

Hors ligne

#8 Le 03/06/2011, à 16:34

benjoroma

Re : gnome-shell-extensions avec Ubuntu

exactement pareil que delta01 :

benjo@benjo-laptop:~$ git clone git://git.gnome.org/gnome-shell-extensions
Cloning into gnome-shell-extensions...
remote: Counting objects: 706, done.
remote: Compressing objects: 100% (679/679), done.
remote: Total 706 (delta 425), reused 0 (delta 0)
Receiving objects: 100% (706/706), 128.82 KiB | 80 KiB/s, done.
Resolving deltas: 100% (425/425), done.

benjo@benjo-laptop:~$ cd gnome-shell-extensions

benjo@benjo-laptop:~/gnome-shell-extensions$ ./autogen.sh --prefix=/usr --enable-extensions=user-theme
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.68
checking for automake >= 1.9...
  testing automake-1.11... found 1.11.1
checking for intltool >= 0.30...
  testing intltoolize... found 0.41.1
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.ac
Running intltoolize...
Running aclocal-1.11...
Running autoconf...
Running automake-1.11...
configure.ac:7: installing `config/install-sh'
configure.ac:7: installing `config/missing'
Running ./configure --prefix=/usr --enable-extensions=user-theme ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking whether NLS is requested... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... none
checking for intltool >= 0.26... 0.41.1 found
checking for intltool-update... /usr/bin/intltool-update
checking for intltool-merge... /usr/bin/intltool-merge
checking for intltool-extract... /usr/bin/intltool-extract
checking for xgettext... /usr/bin/xgettext
checking for msgmerge... /usr/bin/msgmerge
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for perl... /usr/bin/perl
checking for perl >= 5.8.1... 5.12.3
checking for XML::Parser... ok
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.22... yes
./configure: line 4216: GLIB_GSETTINGS: command not found
configure: creating ./config.status
config.status: creating extensions/alternate-tab/Makefile
config.status: creating extensions/alternative-status-menu/Makefile
config.status: creating extensions/apps-menu/Makefile
config.status: creating extensions/auto-move-windows/Makefile
config.status: creating extensions/dock/Makefile
config.status: creating extensions/drive-menu/Makefile
config.status: creating extensions/example/Makefile
config.status: creating extensions/systemMonitor/Makefile
config.status: creating extensions/windowsNavigator/Makefile
config.status: creating extensions/gajim/Makefile
config.status: creating extensions/native-window-placement/Makefile
config.status: creating extensions/places-menu/Makefile
config.status: creating extensions/xrandr-indicator/Makefile
config.status: creating extensions/user-theme/Makefile
config.status: creating extensions/Makefile
config.status: creating Makefile
config.status: creating po/Makefile.in
config.status: executing depfiles commands
config.status: executing po/stamp-it commands
Now type `make' to compile gnome-shell-extensions

benjo@benjo-laptop:~/gnome-shell-extensions$ make
Making all in extensions
make[1]: entrant dans le répertoire « /home/benjo/gnome-shell-extensions/extensions »
Making all in user-theme
make[2]: entrant dans le répertoire « /home/benjo/gnome-shell-extensions/extensions/user-theme »
Makefile:434: *** séparateur manquant . Arrêt.
make[2]: quittant le répertoire « /home/benjo/gnome-shell-extensions/extensions/user-theme »
make[1]: *** [all-recursive] Erreur 1
make[1]: quittant le répertoire « /home/benjo/gnome-shell-extensions/extensions »
make: *** [all-recursive] Erreur 1

quelqu'un a une idée ? (il faut peut-être préciser que c'est pour la version alpha 1 de oneiric... roll )


Sociologue philosophe napolétanophile traducteur et anarcho-geek à l'occasion...

13.04 / 13.10 sur un portable LDLC Saturne avec NVidia GF 700M

Hors ligne

#9 Le 03/06/2011, à 17:05

delta01

Re : gnome-shell-extensions avec Ubuntu

Pareil, le make de user-theme et de auto-move-wiindows sont apparemment bancaux, autant pour Natty que Oneiric...


ArchLinux & Ubuntu user.

Hors ligne

#10 Le 03/06/2011, à 18:42

ob.serv

Re : gnome-shell-extensions avec Ubuntu

Sauf que... les gars... il n'y a absolument rien à compiler, juste a copier les dossiers des extensions dans ~/.local/share/gnome-shell/extensions après avoir installé :

sudo apt-get install gnome-shell-extensions-common

Dernière modification par ob.serv (Le 03/06/2011, à 18:42)

Hors ligne

#11 Le 03/06/2011, à 19:12

delta01

Re : gnome-shell-extensions avec Ubuntu

Et tu les trouve où les dossiers petit malin? wink
Ce qui est dans le git, c'est un truc à compiler. Puisque pour qu'une extension fonctionne il faut:
extension.js
metadata.json
stylesheet.css

Sauf que dans les dossiers du git, il n'y a pas de metadate.json, mais un metadata.json.in et des makefiles.

Alors à moins que t'ai les dossiers déjà compilés quelque part, j'suis preneur.


ArchLinux & Ubuntu user.

Hors ligne

#12 Le 07/06/2011, à 09:43

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Pour info, il faut ajouter une tabulation à la ligne indiquée aux Makefile qui posent problème.

Par exemple : /home/benjo/gnome-shell-extensions/extensions/user-theme/Makefile ligne 434, il faut ajouter une tabulation (touche TAB) en début de ligne.
Idem pour les autres fichiers qui provoquent l'erreur.

Hors ligne

#13 Le 07/06/2011, à 14:42

delta01

Re : gnome-shell-extensions avec Ubuntu

Merci, maintenant ça compile! Mais l'extension n'est nulle part...


ArchLinux & Ubuntu user.

Hors ligne

#14 Le 07/06/2011, à 14:52

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Il faut faire "make" et "make install". C'est la dernière commande qui va déplacer les fichiers dans leur répertoire de destination.

Hors ligne

#15 Le 07/06/2011, à 20:36

delta01

Re : gnome-shell-extensions avec Ubuntu

Oui bah oui, sans make et make install, ça compile pas...
Les dossiers sont bien au bon endroit, mais l'extension ne fonctionne pas, et dconf-editor ne trouve rien x)


ArchLinux & Ubuntu user.

Hors ligne

#16 Le 08/06/2011, à 09:03

daniel_1970

Re : gnome-shell-extensions avec Ubuntu

delat01 a écrit :

Et tu les trouve où les dossiers petit malin?

Par exemple,  ici.

Hors ligne

#17 Le 04/07/2011, à 21:10

Creak

Re : gnome-shell-extensions avec Ubuntu

Bonjour,

J'ai suivi les instructions sur le site de gnome shell extension (http://live.gnome.org/GnomeShell/Extensions), le make et make install se passent à merveille, mais je n'ai aucun changement...
Y a un truc mystique à faire pour que les extensions s'activent??

Merci

Hors ligne

#18 Le 04/07/2011, à 21:34

Creak

Re : gnome-shell-extensions avec Ubuntu

Ok je crois que j'ai eu ma réponse (ici http://forums.fedoraforum.org/showthread.php?t=263938)...
Les extensions du site officiel ont été faites pour GnomeShell 3.1.3 et ugr est sous GnomeShell 3.0.2. Donc ça marche pas.
Seule solution: fpmurphy apparemment.

Hors ligne

#19 Le 05/07/2011, à 11:31

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Non, cherche le fichier metadata.json et change "3.0.1" en "3.0".

Hors ligne

#20 Le 05/07/2011, à 15:08

Creak

Re : gnome-shell-extensions avec Ubuntu

Ouais, mais dans ces fichiers, il n'y a pas "3.0.1", mais "3.1.3". En gros, c'est les bonnes extensions, mais pour la prochaine version. UGR n'est pas encore assez à jour.

J'ai hate que la prochaine version sorte parce qu'il y a plein de bug quand même sur G3.0...

Dernière modification par Creak (Le 05/07/2011, à 15:09)

Hors ligne

#21 Le 05/07/2011, à 15:29

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Ce n'est pas le problème, met à la place "3.0" et ça devrait fonctionner, c'est fait pour wink

Hors ligne

#22 Le 05/07/2011, à 16:36

Creak

Re : gnome-shell-extensions avec Ubuntu

J'ai déjà testé ça, et c'est le crash direct au lancement de gnome-shell... Alors vu que ça m'arrive souvent de crasher au log in, c'est peut-être juste une coïncidence, mais ça m'est arrivé plusieurs fois d'affilé sans pouvoir me connecter. L'API de la 3.1 à peut-être changé depuis la 3.0..

Hors ligne

#23 Le 05/07/2011, à 16:46

Dagnan

Re : gnome-shell-extensions avec Ubuntu

Sur une extension en particulier ? Parce que c'est aussi mon cas avec l'extension dock, les autres fonctionnent (je parle des extensions officielles).
J'en ai trouvée une autre qui englobe pas mal de trucs sympa, dont un look "gnome 2" avec une barre des taches et un dock en haut (regarde dans mes derniers messages).

Hors ligne

#24 Le 07/07/2011, à 14:09

open

Re : gnome-shell-extensions avec Ubuntu

Mettez votre système à jour, vous n'aurez plus de problèmes de compilation.
Dans vos screens de compilation on voit clairement que certains modules ne sont pas à jour...

Pour tout ce qui est compilation, il faut lire l'écran ENTIER avant de poster son erreur.

Il arrive aussi souvent que ce soit des paquet -dev qui manquent à l'appel. Perso, je vérifie toujours les dépendances sur le site officiel avant de compiler.

Dernière modification par open (Le 07/07/2011, à 14:12)


I love U-buntu.
www.google.fr/linux

Hors ligne

#25 Le 08/10/2011, à 13:47

FredBx

Re : gnome-shell-extensions avec Ubuntu

Voici la méthode que j'ai suivie et qui a marché (oneiric)

sudo apt-get install gnome-tweak-tool
sudo apt-get install gnome-common
git clone git://git.gnome.org/gnome-shell-extensions
cd gnome-shell-extensions
./autogen.sh --prefix=/usr --enable-extensions="alternative-status-menu"
make install

puis activer l'extension, pour cela fermer la session gnome, se reconnecter puis
lancer Advanced Settings ( depuis le dash gnomeshell) ou alors en ligne de commande

gnome-tweak-tool

plus de détails ici

Hors ligne

Haut de page ↑